Bug 803313 - crash in glusterd while rebalancing
crash in glusterd while rebalancing
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
mainline
x86_64 Linux
urgent Severity high
: ---
: ---
Assigned To: Kaushal
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-03-14 08:31 EDT by shylesh
Modified: 2013-07-24 13:41 EDT (History)
1 user (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:41:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions: Mainline,3.3.0qa32
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description shylesh 2012-03-14 08:31:21 EDT
Description of problem:
glusterd crashed

Version-Release number of selected component (if applicable):
Mainline

How reproducible:


Steps to Reproduce:
1. create a distribute volume and add some files
2. add-brick to this volume and initiate rebalance

  
Actual results:
glusterd crashed

Expected results:


Additional info:


#0  glusterd3_1_brick_op (frame=0x0, this=0x15f5b80, data=0x164d6b0) at glusterd-rpc-ops.c:1881
1881                    ret = glusterd_submit_request (rpc, req, dummy_frame,
Missing separate debuginfos, use: debuginfo-install glibc-2.12-1.25.el6_1.3.x86_64 libgcc-4.4.5-6.el6.x86_64
(gdb) bt
#0  glusterd3_1_brick_op (frame=0x0, this=0x15f5b80, data=0x164d6b0) at glusterd-rpc-ops.c:1881
#1  0x00007ff1ec5454e5 in glusterd_op_ac_send_brick_op (event=0x161b980, ctx=0x0) at glusterd-op-sm.c:3677
#2  0x00007ff1ec546077 in glusterd_op_sm () at glusterd-op-sm.c:4198
#3  0x00007ff1ec5767fe in glusterd_handle_defrag_volume (req=0x7ff1ec49c02c) at glusterd-rebalance.c:464
#4  0x00007ff1ef8a1105 in rpcsvc_handle_rpc_call (svc=0x15f7380, trans=0x16094f0, msg=0x15f1890) at rpcsvc.c:514
#5  0x00007ff1ef8a14a8 in rpcsvc_notify (trans=0x16094f0, mydata=0x15f7380, event=RPC_TRANSPORT_MSG_RECEIVED, data=0x15f1890)
    at rpcsvc.c:610
#6  0x00007ff1ef8a6eb8 in rpc_transport_notify (this=0x16094f0, event=RPC_TRANSPORT_MSG_RECEIVED, data=0x15f1890)
    at rpc-transport.c:498
#7  0x00007ff1ec29127c in socket_event_poll_in (this=0x16094f0) at socket.c:1686
#8  0x00007ff1ec291800 in socket_event_handler (fd=19, idx=13, data=0x16094f0, poll_in=1, poll_out=0, poll_err=0) at socket.c:1801
#9  0x00007ff1efb020d8 in event_dispatch_epoll_handler (event_pool=0x15ecd90, events=0x15f9e90, i=0) at event.c:794
#10 0x00007ff1efb022fb in event_dispatch_epoll (event_pool=0x15ecd90) at event.c:856
#11 0x00007ff1efb02686 in event_dispatch (event_pool=0x15ecd90) at event.c:956
#12 0x0000000000407e7d in main (argc=2, argv=0x7fff24a9a5d8) at glusterfsd.c:1612
Comment 1 Anand Avati 2012-03-14 12:51:20 EDT
CHANGE: http://review.gluster.com/2946 (glusterd: Fix brick op to prevent glusterd crashing) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 2 shylesh 2012-03-29 09:17:27 EDT
No crashes now upon starting rebalance

Note You need to log in before you can comment on or make changes to this bug.